Bug 241860 - security/clamav: Update to 0.102.0.
Summary: security/clamav: Update to 0.102.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-10 14:49 UTC by Yasuhiro KIMURA
Modified: 2019-11-12 20:07 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (6.02 KB, patch)
2019-11-10 14:49 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (6.02 KB, patch)
2019-11-11 02:38 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-11-10 14:49:04 UTC
Created attachment 209035 [details]
Patch file

* Updated to 0.102.0.
* Enable MILTER option by default.
* Disable MSPACK option by default.
* Sort OPTIONS_DEFINE, OPTIONS_DEFAULT and *_DESC.
* Remove security/clamav-milter, slave port that enables MILTER option.
* Add entry for security/clamav-milter to MOVED.
Comment 1 Yasuhiro KIMURA 2019-11-11 02:38:34 UTC
Created attachment 209046 [details]
Updated patch file

Fix trivial error. So please commit attached patch instead of original one.
Comment 2 Kurt Jaeger freebsd_committer 2019-11-12 06:30:58 UTC
Testbuild on current-i386 fails:

https://people.freebsd.org/~pi/logs/security__clamav-curi-1573404169.txt

Any ideas ?
Comment 3 Yasuhiro KIMURA 2019-11-12 06:42:41 UTC
(In reply to Kurt Jaeger from comment #2)

Does build error happen only with current-i386 or also with other OS versions and/or architectures?
Comment 4 Yasuhiro KIMURA 2019-11-12 08:54:35 UTC
(In reply to Kurt Jaeger from comment #2)

I tried test build with following conditions and build succeeded without any error.

Host:
  yasu@rolling-vm-freebsd1[2026]% uname -a
  FreeBSD rolling-vm-freebsd1.home.utahime.org 13.0-CURRENT FreeBSD 13.0-CURRENT #0 r354592: Mon Nov 11 07:46:46 JST 2019     rootz@rolling-vm-freebsd1.home.utahime.org:/usr0/freebsd/base/obj/usr0/freebsd/base/head/amd64.amd64/sys/GENERIC  amd64
  yasu@rolling-vm-freebsd1[2027]%

Poudriere:
  3.3.2_1

Jail:
  Createed with following command
  poudriere jail -c -j curi386 -m url=https://download.freebsd.org/ftp/snapshots/
i386/13.0-CURRENT/ -v 13-CURRENT -a i386

Ports tree:
  Head ports r517300 + attached patch.
Comment 5 Kurt Jaeger freebsd_committer 2019-11-12 18:53:09 UTC
(In reply to Yasuhiro KIMURA from comment #3)
The build failure only happens on cur-i386. I re-tested with 12.1-i386,
which showed no problem.
Comment 6 Kurt Jaeger freebsd_committer 2019-11-12 20:02:09 UTC
The cause is TESTS=on.
Comment 7 Kurt Jaeger freebsd_committer 2019-11-12 20:07:24 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2019-11-12 20:07:45 UTC
A commit references this bug:

Author: pi
Date: Tue Nov 12 20:07:22 UTC 2019
New revision: 517347
URL: https://svnweb.freebsd.org/changeset/ports/517347

Log:
  security/clamav: upgrade 0.101.4 -> 0.102.0

  - Enable MILTER option by default
  - Disable MSPACK option by default
  - Sort OPTIONS_DEFINE, OPTIONS_DEFAULT and *_DESC
  - Remove security/clamav-milter, slave port that enables MILTER option
  - Add entry for security/clamav-milter to MOVED

  PR:		241860
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org> (maintainer)

Changes:
  head/MOVED
  head/security/Makefile
  head/security/clamav/Makefile
  head/security/clamav/distinfo
  head/security/clamav/files/patch-configure.ac
  head/security/clamav/pkg-plist
  head/security/clamav-milter/